Summary:	A Pluggable Authentication Module for Kerberos 5
Name:		pam_krb5
Version:	2.4.13
Release:	%mkrel 1
License:	LGPL
Group:		System/Libraries
URL:		https://fedorahosted.org/pam_krb5/
Source0:	https://fedorahosted.org/releases/p/a/pam_krb5/%{name}-%{version}.tar.gz
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	krb5-devel
BuildRequires:	pam-devel
BuildRequires:	keyutils-devel
BuildRequires:	gettext-devel

%description 
This is pam_krb5, a pluggable authentication module that can be used with
Linux-PAM and Kerberos 5. This module supports password checking, ticket
creation, and optional TGT verification and conversion to Kerberos IV tickets.
The included pam_krb5afs module also gets AFS tokens if so configured.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x \
    --without-krb4 \
    --with-os-distribution="%_vendor"

make

%install
%makeinstall_std mandir=%{_mandir}

ln -s pam_krb5.so %{buildroot}%{_libdir}/security/pam_krb5afs.so

# cleanup
rm -f %{buildroot}%{_libdir}/security/*.la

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README* COPYING ChangeLog NEWS TODO
%{_libdir}/security/*
%{_bindir}/afs5log
%{_mandir}/man1/afs5log.1*
%{_mandir}/man5/*
%{_mandir}/man8/*


%changelog
* Mon May 09 2016 luigiwalser <luigiwalser> 2.4.13-1.mga6
+ Revision: 1011802
- 2.4.13

* Mon Jan 25 2016 luigiwalser <luigiwalser> 2.4.12-1.mga6
+ Revision: 927179
- 2.4.12

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.4.11-1.mga6
+ Revision: 917575
- 2.4.11

* Wed Oct 15 2014 umeabot <umeabot> 2.4.9-3.mga5
+ Revision: 739215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.9-2.mga5
+ Revision: 683318
- Mageia 5 Mass Rebuild

* Sun Mar 09 2014 luigiwalser <luigiwalser> 2.4.9-1.mga5
+ Revision: 601482
- 2.4.9

* Mon Oct 21 2013 umeabot <umeabot> 2.4.8-2.mga4
+ Revision: 539313
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 luigiwalser <luigiwalser> 2.4.8-1.mga4
+ Revision: 491952
- 2.4.8

* Fri Sep 13 2013 luigiwalser <luigiwalser> 2.4.7-1.mga4
+ Revision: 478579
- 2.4.7

* Thu Aug 22 2013 luigiwalser <luigiwalser> 2.4.6-1.mga4
+ Revision: 469781
- 2.4.6

* Sun Jun 23 2013 luigiwalser <luigiwalser> 2.4.5-1.mga4
+ Revision: 446019
- 2.4.5
- remove upstreamed patch

* Mon Feb 11 2013 fwang <fwang> 2.4.1-2.mga3
+ Revision: 397840
- br gettext
- use autoreconf
- more correct define
- add upstream patch to redefine trace

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 guillomovitch <guillomovitch> 2.4.1-1.mga3
+ Revision: 336082
- new version

* Fri Aug 19 2011 guillomovitch <guillomovitch> 2.3.13-1.mga2
+ Revision: 134385
- new version

* Tue Mar 08 2011 ennael <ennael> 2.3.11-1.mga1
+ Revision: 66422
- imported package pam_krb5

